Bug 33263 - S4 connector: UnboundLocalError: local variable 'ctr4' referenced before assignment
S4 connector: UnboundLocalError: local variable 'ctr4' referenced before assi...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba4
UNSTABLE
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 10:49 CET by Felix Botner
Modified: 2014-09-11 07:58 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
ctr3.patch (1.06 KB, patch)
2014-07-14 11:20 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-11-12 10:49:26 CET
12.11.2013 09:10:08,733 LDAP        (WARNING): calculate_supplementalCredentials: Primary:Kerberos num_keys = 2
12.11.2013 09:10:08,741 LDAP        (WARNING): sync failed, saved as rejected
        /var/lib/univention-connector/s4/1384243805.073932
12.11.2013 09:10:08,774 LDAP        (WARNING): Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/univention/s4connector/__init__.py", line 753, in __sync_file_from_ucs
    or (not old_dn and not self.sync_from_ucs(key, object, premapped_ucs_dn, old_dn, old))):
  File "/usr/lib/pymodules/python2.6/univention/s4connector/s4/__init__.py", line 2445, in sync_from_ucs
    f(self, property_type, object)
  File "/usr/lib/pymodules/python2.6/univention/s4connector/s4/password.py", line 580, in password_sync_ucs_to_s4
    supplementalCredentials_new = calculate_supplementalCredentials(krb5Key, supplementalCredentials)
  File "/usr/lib/pymodules/python2.6/univention/s4connector/s4/password.py", line 364, in calculate_supplementalCredentials
    for k in ctr4.keys:
UnboundLocalError: local variable 'ctr4' referenced before assignment
Comment 1 Arvid Requate univentionstaff 2014-07-14 11:20:54 CEST
Created attachment 5993 [details]
ctr3.patch

The most annoying bugs are bogous debug code introduced via cut&paste...
Comment 2 Arvid Requate univentionstaff 2014-08-12 17:47:47 CEST
Fixed, Advisory: 2014-08-12-univention-s4-connector.yaml
Comment 3 Felix Botner univentionstaff 2014-08-19 16:20:47 CEST
OK - fixed
OK - YAML
OK - merged to 4.0
Comment 4 Stefan Gohmann univentionstaff 2014-09-11 07:58:57 CEST
http://errata.univention.de/ucs/3.2/182.html